find_package(OpenCV QUIET NO_MODULE)

if(NOT(OpenCV_FOUND))

	find_path(OpenCV_INCLUDE_DIRS OpenCV.hpp)

	find_library(OpenCV_LIBRARIES OpenCV)

endif()

mark_as_advanced(OpenCV_INCLUDE_DIRS OpenCV_LIBRARIES)

include( FindPackageHandleStandardArgs )
find_package_handle_standard_args(OpenCV REQUIRED_VARS
	OpenCV_LIBRARIES
	OpenCV_INCLUDE_DIRS
	)
	
if(OpenCV_FOUND AND NOT TARGET OpenCV::OpenCV)
	add_library(OpenCV::OpenCV UNKNOWN IMPORTED)
	set_target_properties(OpenCV::OpenCV PROPERTIES
		IMPORTED_LINK_INTERFACE_LANGUAGES "CXX"
		IMPORTED_LOCATION "${OpenCV_LIBRARIES}"
		INTERFACE_INCLUDE_DIRECTORIES "${OpenCV_INCLUDE_DIRS}"
		)
endif()
